Swift 1.2から2.2でウラシマ状態 - ビルドできるように修正する

久しぶりにXCodeを起動しました。 昔のプロジェクトをインポートしたところ"最新のswiftに自動で変換しますか?"と余計なお世話をぶちかましてきたのでスルーしてビルドしたところビルドエラーの嵐。後方互換性とか関係ねえからっていうAppleの教えが心に響きます。新しい機能は拡張で導入するHaskellが懐かしいです。 と…